Get
/api/v1/rooms.info
Retrieves the information about the room.
Users with the view-room-administration permission can also retrieve public and private rooms they are not a member of, except rooms managed by ABAC. Users without this permission who request a private room they are not a member of receive a 400 error with not-allowed.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields parameter. Users with the view-room-administration permission can read public and private rooms they are not a member of, except rooms managed by ABAC. |
| 0.72.0 | Added |
Header parameters
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
Query parameters
roomId
string
The room ID. It is required if the roomName is not provided.
Exampledlpfuijw7ej
roomName
string
The room name. It is required if the roomId is not provided.
Examplegeneral
Responses
200
OK
The response includes the following objects:
parent: Represents the parent of a room. For discussions, this is the room where the discussion was created, identified byprid. For rooms inside a team, the parent will be the team's main room, identified byteam.roomId. For other rooms, this property is undefined.team: Represents the team a room is part of. For rooms inside a team, this is the team identified by theteamIdproperty. For everything else, this is undefined.
Success
{
"room": {
"_id": "66ed2dba40141d95f32c292b",
"fname": "new-channel",
"_updatedAt": "2024-09-20T12:29:08.284Z",
"customFields": {},
"topic": "",
"broadcast": false,
"encrypted": false,
"name": "new-channel",
"t": "p",
"msgs": 3,
"usersCount": 2,
"u": {
"_id": "C38WSSzrGd2NCjzqJ",
"username": "test.cat",
"name": "test.cat"
},
"ts": "2024-09-20T08:09:30.417Z",
"ro": false,
"teamId": "66c82d78237405fc05fc1ef1",
"default": false,
"sysMes": true,
"lastMessage": {
"_id": "xZhJfE4rmaosjHZCe",
"rid": "66ed2dba40141d95f32c292b",
"msg": "testing",
"alias": null,
"ts": "2024-09-20T12:27:53.356Z",
"u": {
"_id": "C38WSSzrGd2NCjzqJ",
"username": "test.cat",
"name": "test.cat"
},
"_updatedAt": "2024-09-20T12:27:53.397Z",
"urls": [],
"mentions": [],
"channels": [],
"md": [
{
"type": "PARAGRAPH",
"value": [
{
"type": "PLAIN_TEXT",
"value": "testing"
}
]
}
]
},
"lm": "2024-09-20T12:27:53.356Z"
},
"team": {
"_id": "66c82d78237405fc05fc1ef1",
"name": "test-team",
"type": 0,
"roomId": "66c82d78237405fc05fc1eef"
},
"parent": {
"_id": "66c82d78237405fc05fc1eef",
"fname": "test-team",
"name": "test-team",
"t": "c"
},
"success": true
}object
room
object
_id
string
ts
string
t
string
name
string
usernames
Array of object
object
msgs
integer
usersCount
integer
_updatedAt
string
u
object
_id
string
username
string
name
string
default
boolean
lastMessage
object
_id
string
t
string
rid
string
ts
string
msg
string
alias
string | null
attachments
Array of object
object
file
object
_id
string
name
string
type
string
u
object
_id
string
username
string
name
string
groupable
boolean
drid
string
_updatedAt
string
lm
string
success
boolean
400
Bad Request
Example 1
{
"success": false,
"error": "The parameter \"roomId\" or \"roomName\" is required [error-roomid-param-not-provided]",
"errorType": "error-roomid-param-not-provided"
}Room not found
{
"success": false,
"error": "The required \"roomId\" or \"roomName\" param provided does not match any channel [error-room-not-found]",
"errorType": "error-room-not-found"
}ABAC room the caller cannot access
{
"success": false,
"error": "not-allowed",
"errorType": "Not Allowed"
}Private room the caller is not a member of
{
"success": false,
"error": "not-allowed",
"errorType": "Not Allowed"
}object
success
boolean
error
string
errorType
string
401
Unauthorized
Authorization Error
{
"success": false,
"error": "You must be logged in to do this."
}object
success
boolean
error
string